Deleted Added
sdiff udiff text old ( 58551 ) new ( 67064 )
full compact
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.12
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52# Maximum number of lines to put in a shell here document.
53ac_max_here_lines=12
54
55ac_prev=
56for ac_option
57do
58
59 # If the previous option needs an argument, assign it.
60 if test -n "$ac_prev"; then
61 eval "$ac_prev=\$ac_option"
62 ac_prev=
63 continue
64 fi
65
66 case "$ac_option" in
67 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
68 *) ac_optarg= ;;
69 esac
70
71 # Accept the important Cygnus configure options, so we can diagnose typos.
72
73 case "$ac_option" in
74
75 -bindir | --bindir | --bindi | --bind | --bin | --bi)
76 ac_prev=bindir ;;
77 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
78 bindir="$ac_optarg" ;;
79
80 -build | --build | --buil | --bui | --bu)
81 ac_prev=build ;;
82 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
83 build="$ac_optarg" ;;
84
85 -cache-file | --cache-file | --cache-fil | --cache-fi \
86 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
87 ac_prev=cache_file ;;
88 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
89 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
90 cache_file="$ac_optarg" ;;
91
92 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
93 ac_prev=datadir ;;
94 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
95 | --da=*)
96 datadir="$ac_optarg" ;;
97
98 -disable-* | --disable-*)
99 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
100 # Reject names that are not valid shell variable names.
101 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
102 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
103 fi
104 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
105 eval "enable_${ac_feature}=no" ;;
106
107 -enable-* | --enable-*)
108 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
109 # Reject names that are not valid shell variable names.
110 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
111 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
112 fi
113 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
114 case "$ac_option" in
115 *=*) ;;
116 *) ac_optarg=yes ;;
117 esac
118 eval "enable_${ac_feature}='$ac_optarg'" ;;
119
120 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
121 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
122 | --exec | --exe | --ex)
123 ac_prev=exec_prefix ;;
124 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
125 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
126 | --exec=* | --exe=* | --ex=*)
127 exec_prefix="$ac_optarg" ;;
128
129 -gas | --gas | --ga | --g)
130 # Obsolete; use --with-gas.
131 with_gas=yes ;;
132
133 -help | --help | --hel | --he)
134 # Omit some internal or obsolete options to make the list less imposing.
135 # This message is too long to be a string in the A/UX 3.1 sh.
136 cat << EOF
137Usage: configure [options] [host]
138Options: [defaults in brackets after descriptions]
139Configuration:
140 --cache-file=FILE cache test results in FILE
141 --help print this message
142 --no-create do not create output files
143 --quiet, --silent do not print \`checking...' messages
144 --version print the version of autoconf that created configure
145Directory and file names:
146 --prefix=PREFIX install architecture-independent files in PREFIX
147 [$ac_default_prefix]
148 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
149 [same as prefix]
150 --bindir=DIR user executables in DIR [EPREFIX/bin]
151 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
152 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
153 --datadir=DIR read-only architecture-independent data in DIR
154 [PREFIX/share]
155 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
156 --sharedstatedir=DIR modifiable architecture-independent data in DIR
157 [PREFIX/com]
158 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
159 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
160 --includedir=DIR C header files in DIR [PREFIX/include]
161 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
162 --infodir=DIR info documentation in DIR [PREFIX/info]
163 --mandir=DIR man documentation in DIR [PREFIX/man]
164 --srcdir=DIR find the sources in DIR [configure dir or ..]
165 --program-prefix=PREFIX prepend PREFIX to installed program names
166 --program-suffix=SUFFIX append SUFFIX to installed program names
167 --program-transform-name=PROGRAM
168 run sed PROGRAM on installed program names
169EOF
170 cat << EOF
171Host type:
172 --build=BUILD configure for building on BUILD [BUILD=HOST]
173 --host=HOST configure for HOST [guessed]
174 --target=TARGET configure for TARGET [TARGET=HOST]
175Features and packages:
176 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
177 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
178 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
179 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
180 --x-includes=DIR X include files are in DIR
181 --x-libraries=DIR X library files are in DIR
182EOF
183 if test -n "$ac_help"; then
184 echo "--enable and --with options recognized:$ac_help"
185 fi
186 exit 0 ;;
187
188 -host | --host | --hos | --ho)
189 ac_prev=host ;;
190 -host=* | --host=* | --hos=* | --ho=*)
191 host="$ac_optarg" ;;
192
193 -includedir | --includedir | --includedi | --included | --include \
194 | --includ | --inclu | --incl | --inc)
195 ac_prev=includedir ;;
196 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
197 | --includ=* | --inclu=* | --incl=* | --inc=*)
198 includedir="$ac_optarg" ;;
199
200 -infodir | --infodir | --infodi | --infod | --info | --inf)
201 ac_prev=infodir ;;
202 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
203 infodir="$ac_optarg" ;;
204
205 -libdir | --libdir | --libdi | --libd)
206 ac_prev=libdir ;;
207 -libdir=* | --libdir=* | --libdi=* | --libd=*)
208 libdir="$ac_optarg" ;;
209
210 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
211 | --libexe | --libex | --libe)
212 ac_prev=libexecdir ;;
213 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
214 | --libexe=* | --libex=* | --libe=*)
215 libexecdir="$ac_optarg" ;;
216
217 -localstatedir | --localstatedir | --localstatedi | --localstated \
218 | --localstate | --localstat | --localsta | --localst \
219 | --locals | --local | --loca | --loc | --lo)
220 ac_prev=localstatedir ;;
221 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
222 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
223 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
224 localstatedir="$ac_optarg" ;;
225
226 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
227 ac_prev=mandir ;;
228 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
229 mandir="$ac_optarg" ;;
230
231 -nfp | --nfp | --nf)
232 # Obsolete; use --without-fp.
233 with_fp=no ;;
234
235 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
236 | --no-cr | --no-c)
237 no_create=yes ;;
238
239 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
240 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
241 no_recursion=yes ;;
242
243 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
244 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
245 | --oldin | --oldi | --old | --ol | --o)
246 ac_prev=oldincludedir ;;
247 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
248 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
249 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
250 oldincludedir="$ac_optarg" ;;
251
252 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
253 ac_prev=prefix ;;
254 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
255 prefix="$ac_optarg" ;;
256
257 -program-prefix | --program-prefix | --program-prefi | --program-pref \
258 | --program-pre | --program-pr | --program-p)
259 ac_prev=program_prefix ;;
260 -program-prefix=* | --program-prefix=* | --program-prefi=* \
261 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
262 program_prefix="$ac_optarg" ;;
263
264 -program-suffix | --program-suffix | --program-suffi | --program-suff \
265 | --program-suf | --program-su | --program-s)
266 ac_prev=program_suffix ;;
267 -program-suffix=* | --program-suffix=* | --program-suffi=* \
268 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
269 program_suffix="$ac_optarg" ;;
270
271 -program-transform-name | --program-transform-name \
272 | --program-transform-nam | --program-transform-na \
273 | --program-transform-n | --program-transform- \
274 | --program-transform | --program-transfor \
275 | --program-transfo | --program-transf \
276 | --program-trans | --program-tran \
277 | --progr-tra | --program-tr | --program-t)
278 ac_prev=program_transform_name ;;
279 -program-transform-name=* | --program-transform-name=* \
280 | --program-transform-nam=* | --program-transform-na=* \
281 | --program-transform-n=* | --program-transform-=* \
282 | --program-transform=* | --program-transfor=* \
283 | --program-transfo=* | --program-transf=* \
284 | --program-trans=* | --program-tran=* \
285 | --progr-tra=* | --program-tr=* | --program-t=*)
286 program_transform_name="$ac_optarg" ;;
287
288 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
289 | -silent | --silent | --silen | --sile | --sil)
290 silent=yes ;;
291
292 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
293 ac_prev=sbindir ;;
294 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
295 | --sbi=* | --sb=*)
296 sbindir="$ac_optarg" ;;
297
298 -sharedstatedir | --sharedstatedir | --sharedstatedi \
299 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
300 | --sharedst | --shareds | --shared | --share | --shar \
301 | --sha | --sh)
302 ac_prev=sharedstatedir ;;
303 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
304 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
305 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
306 | --sha=* | --sh=*)
307 sharedstatedir="$ac_optarg" ;;
308
309 -site | --site | --sit)
310 ac_prev=site ;;
311 -site=* | --site=* | --sit=*)
312 site="$ac_optarg" ;;
313
314 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
315 ac_prev=srcdir ;;
316 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
317 srcdir="$ac_optarg" ;;
318
319 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
320 | --syscon | --sysco | --sysc | --sys | --sy)
321 ac_prev=sysconfdir ;;
322 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
323 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
324 sysconfdir="$ac_optarg" ;;
325
326 -target | --target | --targe | --targ | --tar | --ta | --t)
327 ac_prev=target ;;
328 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
329 target="$ac_optarg" ;;
330
331 -v | -verbose | --verbose | --verbos | --verbo | --verb)
332 verbose=yes ;;
333
334 -version | --version | --versio | --versi | --vers)
335 echo "configure generated by autoconf version 2.12"
336 exit 0 ;;
337
338 -with-* | --with-*)
339 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
340 # Reject names that are not valid shell variable names.
341 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
342 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
343 fi
344 ac_package=`echo $ac_package| sed 's/-/_/g'`
345 case "$ac_option" in
346 *=*) ;;
347 *) ac_optarg=yes ;;
348 esac
349 eval "with_${ac_package}='$ac_optarg'" ;;
350
351 -without-* | --without-*)
352 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
353 # Reject names that are not valid shell variable names.
354 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
355 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
356 fi
357 ac_package=`echo $ac_package| sed 's/-/_/g'`
358 eval "with_${ac_package}=no" ;;
359
360 --x)
361 # Obsolete; use --with-x.
362 with_x=yes ;;
363
364 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
365 | --x-incl | --x-inc | --x-in | --x-i)
366 ac_prev=x_includes ;;
367 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
368 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
369 x_includes="$ac_optarg" ;;
370
371 -x-libraries | --x-libraries | --x-librarie | --x-librari \
372 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
373 ac_prev=x_libraries ;;
374 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
375 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
376 x_libraries="$ac_optarg" ;;
377
378 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
379 ;;
380
381 *)
382 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
383 echo "configure: warning: $ac_option: invalid host type" 1>&2
384 fi
385 if test "x$nonopt" != xNONE; then
386 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
387 fi
388 nonopt="$ac_option"
389 ;;
390
391 esac
392done
393
394if test -n "$ac_prev"; then
395 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
396fi
397
398trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
399
400# File descriptor usage:
401# 0 standard input
402# 1 file creation
403# 2 errors and warnings
404# 3 some systems may open it to /dev/tty
405# 4 used on the Kubota Titan
406# 6 checking for... messages and results
407# 5 compiler messages saved in config.log
408if test "$silent" = yes; then
409 exec 6>/dev/null
410else
411 exec 6>&1
412fi
413exec 5>./config.log
414
415echo "\
416This file contains any messages produced by compilers while
417running configure, to aid debugging if configure makes a mistake.
418" 1>&5
419
420# Strip out --no-create and --no-recursion so they do not pile up.
421# Also quote any args containing shell metacharacters.
422ac_configure_args=
423for ac_arg
424do
425 case "$ac_arg" in
426 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
427 | --no-cr | --no-c) ;;
428 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
429 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
430 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
431 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
432 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
433 esac
434done
435
436# NLS nuisances.
437# Only set these to C if already set. These must not be set unconditionally
438# because not all systems understand e.g. LANG=C (notably SCO).
439# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
440# Non-C LC_CTYPE values break the ctype check.
441if test "${LANG+set}" = set; then LANG=C; export LANG; fi
442if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
443if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
444if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
445
446# confdefs.h avoids OS command line length limits that DEFS can exceed.
447rm -rf conftest* confdefs.h
448# AIX cpp loses on an empty file, so make sure it contains at least a newline.
449echo > confdefs.h
450
451# A filename unique to this package, relative to the directory that
452# configure is in, which we can look for to find out if srcdir is correct.
453ac_unique_file=hash.cc
454
455# Find the source files, if location was not specified.
456if test -z "$srcdir"; then
457 ac_srcdir_defaulted=yes
458 # Try the directory containing this script, then its parent.
459 ac_prog=$0
460 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
461 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
462 srcdir=$ac_confdir
463 if test ! -r $srcdir/$ac_unique_file; then
464 srcdir=..
465 fi
466else
467 ac_srcdir_defaulted=no
468fi
469if test ! -r $srcdir/$ac_unique_file; then
470 if test "$ac_srcdir_defaulted" = yes; then
471 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
472 else
473 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
474 fi
475fi
476srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
477
478# Prefer explicitly selected file to automatically selected ones.
479if test -z "$CONFIG_SITE"; then
480 if test "x$prefix" != xNONE; then
481 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
482 else
483 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
484 fi
485fi
486for ac_site_file in $CONFIG_SITE; do
487 if test -r "$ac_site_file"; then
488 echo "loading site script $ac_site_file"
489 . "$ac_site_file"
490 fi
491done
492
493if test -r "$cache_file"; then
494 echo "loading cache $cache_file"
495 . $cache_file
496else
497 echo "creating cache $cache_file"
498 > $cache_file
499fi
500
501ac_ext=c
502# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
503ac_cpp='$CPP $CPPFLAGS'
504ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
505ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
506cross_compiling=$ac_cv_prog_cc_cross
507
508if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
509 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
510 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
511 ac_n= ac_c='
512' ac_t=' '
513 else
514 ac_n=-n ac_c= ac_t=
515 fi
516else
517 ac_n= ac_c='\c' ac_t=
518fi
519
520
521echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
522echo "configure:523: checking whether ${MAKE-make} sets \${MAKE}" >&5
523set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
524if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
525 echo $ac_n "(cached) $ac_c" 1>&6
526else
527 cat > conftestmake <<\EOF
528all:
529 @echo 'ac_maketemp="${MAKE}"'
530EOF
531# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
532eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
533if test -n "$ac_maketemp"; then
534 eval ac_cv_prog_make_${ac_make}_set=yes
535else
536 eval ac_cv_prog_make_${ac_make}_set=no
537fi
538rm -f conftestmake
539fi
540if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
541 echo "$ac_t""yes" 1>&6
542 SET_MAKE=
543else
544 echo "$ac_t""no" 1>&6
545 SET_MAKE="MAKE=${MAKE-make}"
546fi
547
548# Extract the first word of "gcc", so it can be a program name with args.
549set dummy gcc; ac_word=$2
550echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
551echo "configure:552: checking for $ac_word" >&5
552if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
553 echo $ac_n "(cached) $ac_c" 1>&6
554else
555 if test -n "$CC"; then
556 ac_cv_prog_CC="$CC" # Let the user override the test.
557else
558 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
559 for ac_dir in $PATH; do
560 test -z "$ac_dir" && ac_dir=.
561 if test -f $ac_dir/$ac_word; then
562 ac_cv_prog_CC="gcc"
563 break
564 fi
565 done
566 IFS="$ac_save_ifs"
567fi
568fi
569CC="$ac_cv_prog_CC"
570if test -n "$CC"; then
571 echo "$ac_t""$CC" 1>&6
572else
573 echo "$ac_t""no" 1>&6
574fi
575
576if test -z "$CC"; then
577 # Extract the first word of "cc", so it can be a program name with args.
578set dummy cc; ac_word=$2
579echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
580echo "configure:581: checking for $ac_word" >&5
581if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
582 echo $ac_n "(cached) $ac_c" 1>&6
583else
584 if test -n "$CC"; then
585 ac_cv_prog_CC="$CC" # Let the user override the test.
586else
587 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
588 ac_prog_rejected=no
589 for ac_dir in $PATH; do
590 test -z "$ac_dir" && ac_dir=.
591 if test -f $ac_dir/$ac_word; then
592 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
593 ac_prog_rejected=yes
594 continue
595 fi
596 ac_cv_prog_CC="cc"
597 break
598 fi
599 done
600 IFS="$ac_save_ifs"
601if test $ac_prog_rejected = yes; then
602 # We found a bogon in the path, so make sure we never use it.
603 set dummy $ac_cv_prog_CC
604 shift
605 if test $# -gt 0; then
606 # We chose a different compiler from the bogus one.
607 # However, it has the same basename, so the bogon will be chosen
608 # first if we set CC to just the basename; use the full file name.
609 shift
610 set dummy "$ac_dir/$ac_word" "$@"
611 shift
612 ac_cv_prog_CC="$@"
613 fi
614fi
615fi
616fi
617CC="$ac_cv_prog_CC"
618if test -n "$CC"; then
619 echo "$ac_t""$CC" 1>&6
620else
621 echo "$ac_t""no" 1>&6
622fi
623
624 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
625fi
626
627echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
628echo "configure:629: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
629
630ac_ext=c
631# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
632ac_cpp='$CPP $CPPFLAGS'
633ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
634ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
635cross_compiling=$ac_cv_prog_cc_cross
636
637cat > conftest.$ac_ext <638#line 639 "configure"
639#include "confdefs.h"
640main(){return(0);}
641EOF
642if { (eval echo configure:643: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
643 ac_cv_prog_cc_works=yes
644 # If we can't run a trivial program, we are probably using a cross compiler.
645 if (./conftest; exit) 2>/dev/null; then
646 ac_cv_prog_cc_cross=no
647 else
648 ac_cv_prog_cc_cross=yes
649 fi
650else
651 echo "configure: failed program was:" >&5
652 cat conftest.$ac_ext >&5
653 ac_cv_prog_cc_works=no
654fi
655rm -fr conftest*
656
657echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
658if test $ac_cv_prog_cc_works = no; then
659 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
660fi
661echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
662echo "configure:663: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
663echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
664cross_compiling=$ac_cv_prog_cc_cross
665
666echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
667echo "configure:668: checking whether we are using GNU C" >&5
668if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
669 echo $ac_n "(cached) $ac_c" 1>&6
670else
671 cat > conftest.c <<EOF
672#ifdef __GNUC__
673 yes;
674#endif
675EOF
676if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:677: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
677 ac_cv_prog_gcc=yes
678else
679 ac_cv_prog_gcc=no
680fi
681fi
682
683echo "$ac_t""$ac_cv_prog_gcc" 1>&6
684
685if test $ac_cv_prog_gcc = yes; then
686 GCC=yes
687 ac_test_CFLAGS="${CFLAGS+set}"
688 ac_save_CFLAGS="$CFLAGS"
689 CFLAGS=
690 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
691echo "configure:692: checking whether ${CC-cc} accepts -g" >&5
692if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
693 echo $ac_n "(cached) $ac_c" 1>&6
694else
695 echo 'void f(){}' > conftest.c
696if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
697 ac_cv_prog_cc_g=yes
698else
699 ac_cv_prog_cc_g=no
700fi
701rm -f conftest*
702
703fi
704
705echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
706 if test "$ac_test_CFLAGS" = set; then
707 CFLAGS="$ac_save_CFLAGS"
708 elif test $ac_cv_prog_cc_g = yes; then
709 CFLAGS="-g -O2"
710 else
711 CFLAGS="-O2"
712 fi
713else
714 GCC=
715 test "${CFLAGS+set}" = set || CFLAGS="-g"
716fi
717
718 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
719echo "configure:720: checking how to run the C preprocessor" >&5
720# On Suns, sometimes $CPP names a directory.
721if test -n "$CPP" && test -d "$CPP"; then
722 CPP=
723fi
724if test -z "$CPP"; then
725if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
726 echo $ac_n "(cached) $ac_c" 1>&6
727else
728 # This must be in double quotes, not single quotes, because CPP may get
729 # substituted into the Makefile and "${CC-cc}" will confuse make.
730 CPP="${CC-cc} -E"
731 # On the NeXT, cc -E runs the code through the compiler's parser,
732 # not just through cpp.
733 cat > conftest.$ac_ext <<EOF
734#line 735 "configure"
735#include "confdefs.h"
736#include <assert.h>
737Syntax Error
738EOF
739ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
740{ (eval echo configure:741: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
741ac_err=`grep -v '^ *+' conftest.out`
742if test -z "$ac_err"; then
743 :
744else
745 echo "$ac_err" >&5
746 echo "configure: failed program was:" >&5
747 cat conftest.$ac_ext >&5
748 rm -rf conftest*
749 CPP="${CC-cc} -E -traditional-cpp"
750 cat > conftest.$ac_ext <<EOF
751#line 752 "configure"
752#include "confdefs.h"
753#include <assert.h>
754Syntax Error
755EOF
756ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
757{ (eval echo configure:758: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
758ac_err=`grep -v '^ *+' conftest.out`
759if test -z "$ac_err"; then
760 :
761else
762 echo "$ac_err" >&5
763 echo "configure: failed program was:" >&5
764 cat conftest.$ac_ext >&5
765 rm -rf conftest*
766 CPP=/lib/cpp
767fi
768rm -f conftest*
769fi
770rm -f conftest*
771 ac_cv_prog_CPP="$CPP"
772fi
773 CPP="$ac_cv_prog_CPP"
774else
775 ac_cv_prog_CPP="$CPP"
776fi
777echo "$ac_t""$CPP" 1>&6
778
779 for ac_prog in $CCC c++ g++ gcc CC cxx cc++
780do
781# Extract the first word of "$ac_prog", so it can be a program name with args.
782set dummy $ac_prog; ac_word=$2
783echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
784echo "configure:785: checking for $ac_word" >&5
785if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
786 echo $ac_n "(cached) $ac_c" 1>&6
787else
788 if test -n "$CXX"; then
789 ac_cv_prog_CXX="$CXX" # Let the user override the test.
790else
791 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
792 for ac_dir in $PATH; do
793 test -z "$ac_dir" && ac_dir=.
794 if test -f $ac_dir/$ac_word; then
795 ac_cv_prog_CXX="$ac_prog"
796 break
797 fi
798 done
799 IFS="$ac_save_ifs"
800fi
801fi
802CXX="$ac_cv_prog_CXX"
803if test -n "$CXX"; then
804 echo "$ac_t""$CXX" 1>&6
805else
806 echo "$ac_t""no" 1>&6
807fi
808
809test -n "$CXX" && break
810done
811test -n "$CXX" || CXX="gcc"
812
813
814echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
815echo "configure:816: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
816
817ac_ext=C
818# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
819ac_cpp='$CXXCPP $CPPFLAGS'
820ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
821ac_link='${CXX-g++} -o conftest $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
822cross_compiling=$ac_cv_prog_cxx_cross
823
824cat > conftest.$ac_ext <825#line 826 "configure"
826#include "confdefs.h"
827main(){return(0);}
828EOF
829if { (eval echo configure:830: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
830 ac_cv_prog_cxx_works=yes
831 # If we can't run a trivial program, we are probably using a cross compiler.
832 if (./conftest; exit) 2>/dev/null; then
833 ac_cv_prog_cxx_cross=no
834 else
835 ac_cv_prog_cxx_cross=yes
836 fi
837else
838 echo "configure: failed program was:" >&5
839 cat conftest.$ac_ext >&5
840 ac_cv_prog_cxx_works=no
841fi
842rm -fr conftest*
843ac_ext=c
844# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
845ac_cpp='$CPP $CPPFLAGS'
846ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
847ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
848cross_compiling=$ac_cv_prog_cc_cross
849
850echo "$ac_t""$ac_cv_prog_cxx_works" 1>&6
851if test $ac_cv_prog_cxx_works = no; then
852 { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
853fi
854echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
855echo "configure:856: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
856echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
857cross_compiling=$ac_cv_prog_cxx_cross
858
859echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
860echo "configure:861: checking whether we are using GNU C++" >&5
861if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
862 echo $ac_n "(cached) $ac_c" 1>&6
863else
864 cat > conftest.C <<EOF
865#ifdef __GNUC__
866 yes;
867#endif
868EOF
869if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:870: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
870 ac_cv_prog_gxx=yes
871else
872 ac_cv_prog_gxx=no
873fi
874fi
875
876echo "$ac_t""$ac_cv_prog_gxx" 1>&6
877
878if test $ac_cv_prog_gxx = yes; then
879 GXX=yes
880 ac_test_CXXFLAGS="${CXXFLAGS+set}"
881 ac_save_CXXFLAGS="$CXXFLAGS"
882 CXXFLAGS=
883 echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
884echo "configure:885: checking whether ${CXX-g++} accepts -g" >&5
885if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
886 echo $ac_n "(cached) $ac_c" 1>&6
887else
888 echo 'void f(){}' > conftest.cc
889if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
890 ac_cv_prog_cxx_g=yes
891else
892 ac_cv_prog_cxx_g=no
893fi
894rm -f conftest*
895
896fi
897
898echo "$ac_t""$ac_cv_prog_cxx_g" 1>&6
899 if test "$ac_test_CXXFLAGS" = set; then
900 CXXFLAGS="$ac_save_CXXFLAGS"
901 elif test $ac_cv_prog_cxx_g = yes; then
902 CXXFLAGS="-g -O2"
903 else
904 CXXFLAGS="-O2"
905 fi
906else
907 GXX=
908 test "${CXXFLAGS+set}" = set || CXXFLAGS="-g"
909fi
910
911 echo $ac_n "checking how to run the C++ preprocessor""... $ac_c" 1>&6
912echo "configure:913: checking how to run the C++ preprocessor" >&5
913if test -z "$CXXCPP"; then
914if eval "test \"`echo '$''{'ac_cv_prog_CXXCPP'+set}'`\" = set"; then
915 echo $ac_n "(cached) $ac_c" 1>&6
916else
917 ac_ext=C
918# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
919ac_cpp='$CXXCPP $CPPFLAGS'
920ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
921ac_link='${CXX-g++} -o conftest $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
922cross_compiling=$ac_cv_prog_cxx_cross
923 CXXCPP="${CXX-g++} -E"
924 cat > conftest.$ac_ext <<EOF
925#line 926 "configure"
926#include "confdefs.h"
927#include <stdlib.h>
928EOF
929ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
930{ (eval echo configure:931: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
931ac_err=`grep -v '^ *+' conftest.out`
932if test -z "$ac_err"; then
933 :
934else
935 echo "$ac_err" >&5
936 echo "configure: failed program was:" >&5
937 cat conftest.$ac_ext >&5
938 rm -rf conftest*
939 CXXCPP=/lib/cpp
940fi
941rm -f conftest*
942 ac_cv_prog_CXXCPP="$CXXCPP"
943ac_ext=c
944# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
945ac_cpp='$CPP $CPPFLAGS'
946ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
947ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
948cross_compiling=$ac_cv_prog_cc_cross
949fi
950fi
951CXXCPP="$ac_cv_prog_CXXCPP"
952echo "$ac_t""$CXXCPP" 1>&6
953
954 # Extract the first word of "ranlib", so it can be a program name with args.
955set dummy ranlib; ac_word=$2
956echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
957echo "configure:958: checking for $ac_word" >&5
958if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
959 echo $ac_n "(cached) $ac_c" 1>&6
960else
961 if test -n "$RANLIB"; then
962 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
963else
964 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
965 for ac_dir in $PATH; do
966 test -z "$ac_dir" && ac_dir=.
967 if test -f $ac_dir/$ac_word; then
968 ac_cv_prog_RANLIB="ranlib"
969 break
970 fi
971 done
972 IFS="$ac_save_ifs"
973 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB="true"
974fi
975fi
976RANLIB="$ac_cv_prog_RANLIB"
977if test -n "$RANLIB"; then
978 echo "$ac_t""$RANLIB" 1>&6
979else
980 echo "$ac_t""no" 1>&6
981fi
982
983 # Find a good install program. We prefer a C program (faster),
984# so one script is as good as another. But avoid the broken or
985# incompatible versions:
986# SysV /etc/install, /usr/sbin/install
987# SunOS /usr/etc/install
988# IRIX /sbin/install
989# AIX /bin/install
990# AFS /usr/afsws/bin/install, which mishandles nonexistent args
991# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
992# ./install, which can be erroneously created by make from ./install.sh.
993echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
994echo "configure:995: checking for a BSD compatible install" >&5
995if test -z "$INSTALL"; then
996if eval "test \"`echo '$''{'cl_cv_path_install'+set}'`\" = set"; then
997 echo $ac_n "(cached) $ac_c" 1>&6
998else
999 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
1000 for ac_dir in $PATH; do
1001 # Account for people who put trailing slashes in PATH elements.
1002 case "$ac_dir/" in
1003 /|./|.//|/etc/*|/usr/sbin/*|/usr/etc/*|/sbin/*|/usr/afsws/bin/*|/usr/ucb/*) ;;
1004 *)
1005 # OSF1 and SCO ODT 3.0 have their own names for install.
1006 for ac_prog in ginstall installbsd scoinst install; do
1007 if test -f $ac_dir/$ac_prog; then
1008 if test $ac_prog = install &&
1009 grep dspmsg $ac_dir/$ac_prog >/dev/null 2>&1; then
1010 # AIX install. It has an incompatible calling convention.
1011 # OSF/1 installbsd also uses dspmsg, but is usable.
1012 :
1013 else
1014 if test $ac_prog = installbsd &&
1015 grep src/bos $ac_dir/$ac_prog >/dev/null 2>&1; then
1016 # AIX installbsd doesn't work without option "-g".
1017 :
1018 else
1019 ac_cv_path_install="$ac_dir/$ac_prog -c"
1020 break 2
1021 fi
1022 fi
1023 fi
1024 done
1025 ;;
1026 esac
1027 done
1028 IFS="$ac_save_ifs"
1029 # As a last resort, use cp.
1030 test -z "$cl_cv_path_install" && cl_cv_path_install="cp"
1031
1032fi
1033 INSTALL="$cl_cv_path_install"
1034fi
1035echo "$ac_t""$INSTALL" 1>&6
1036# Use test -z because SunOS4 sh mishandles braces in ${var-val}.
1037# It thinks the first close brace ends the variable substitution.
1038test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='$(INSTALL)'
1039if test -z "$INSTALL_DATA"; then
1040 case "$INSTALL" in
1041 cp | */cp ) INSTALL_DATA='$(INSTALL)' ;;
1042 * ) INSTALL_DATA='$(INSTALL) -m 644' ;;
1043 esac
1044fi
1045
1046 trap '' 1 2 15
1047cat > confcache <<\EOF
1048# This file is a shell script that caches the results of configure
1049# tests run on this system so they can be shared between configure
1050# scripts and configure runs. It is not useful on other systems.
1051# If it contains results you don't want to keep, you may remove or edit it.
1052#
1053# By default, configure uses ./config.cache as the cache file,
1054# creating it if it does not exist already. You can give configure
1055# the --cache-file=FILE option to use a different cache file; that is
1056# what configure does when it calls configure scripts in
1057# subdirectories, so they share the cache.
1058# Giving --cache-file=/dev/null disables caching, for debugging configure.
1059# config.status only pays attention to the cache file if you give it the
1060# --recheck option to rerun configure.
1061#
1062EOF
1063# The following way of writing the cache mishandles newlines in values,
1064# but we know of no workaround that is simple, portable, and efficient.
1065# So, don't put newlines in cache variables' values.
1066# Ultrix sh set writes to stderr and can't be redirected directly,
1067# and sets the high bit in the cache file unless we assign to the vars.
1068(set) 2>&1 |
1069 case `(ac_space=' '; set) 2>&1` in
1070 *ac_space=\ *)
1071 # `set' does not quote correctly, so add quotes (double-quote substitution
1072 # turns \\\\ into \\, and sed turns \\ into \).
1073 sed -n \
1074 -e "s/'/'\\\\''/g" \
1075 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1076 ;;
1077 *)
1078 # `set' quotes correctly as required by POSIX, so do not add quotes.
1079 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1080 ;;
1081 esac >> confcache
1082if cmp -s $cache_file confcache; then
1083 :
1084else
1085 if test -w $cache_file; then
1086 echo "updating cache $cache_file"
1087 cat confcache > $cache_file
1088 else
1089 echo "not updating unwritable cache $cache_file"
1090 fi
1091fi
1092rm -f confcache
1093
1094trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1095
1096test "x$prefix" = xNONE && prefix=$ac_default_prefix
1097# Let make expand exec_prefix.
1098test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1099
1100# Any assignment to VPATH causes Sun make to only execute
1101# the first set of double-colon rules, so remove it if not needed.
1102# If there is a colon in the path, we need to keep it.
1103if test "x$srcdir" = x.; then
1104 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1105fi
1106
1107trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1108
1109# Transform confdefs.h into DEFS.
1110# Protect against shell expansion while executing Makefile rules.
1111# Protect against Makefile macro expansion.
1112cat > conftest.defs <<\EOF
1113s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1114s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
1115s%\[%\\&%g
1116s%\]%\\&%g
1117s%\$%$$%g
1118EOF
1119DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1120rm -f conftest.defs
1121
1122
1123# Without the "./", some shells look in PATH for config.status.
1124: ${CONFIG_STATUS=./config.status}
1125
1126echo creating $CONFIG_STATUS
1127rm -f $CONFIG_STATUS
1128cat > $CONFIG_STATUS <<EOF
1129#! /bin/sh
1130# Generated automatically by configure.
1131# Run this file to recreate the current configuration.
1132# This directory was configured as follows,
1133# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1134#
1135# $0 $ac_configure_args
1136#
1137# Compiler output produced by configure, useful for debugging
1138# configure, is in ./config.log if it exists.
1139
1140ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1141for ac_option
1142do
1143 case "\$ac_option" in
1144 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1145 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1146 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1147 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1148 echo "$CONFIG_STATUS generated by autoconf version 2.12"
1149 exit 0 ;;
1150 -help | --help | --hel | --he | --h)
1151 echo "\$ac_cs_usage"; exit 0 ;;
1152 *) echo "\$ac_cs_usage"; exit 1 ;;
1153 esac
1154done
1155
1156ac_given_srcdir=$srcdir
1157
1158trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1159EOF
1160cat >> $CONFIG_STATUS <<EOF
1161
1162# Protect against being on the right side of a sed subst in config.status.
1163sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1164 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1165$ac_vpsub
1166$extrasub
1167s%@CFLAGS@%$CFLAGS%g
1168s%@CPPFLAGS@%$CPPFLAGS%g
1169s%@CXXFLAGS@%$CXXFLAGS%g
1170s%@DEFS@%$DEFS%g
1171s%@LDFLAGS@%$LDFLAGS%g
1172s%@LIBS@%$LIBS%g
1173s%@exec_prefix@%$exec_prefix%g
1174s%@prefix@%$prefix%g
1175s%@program_transform_name@%$program_transform_name%g
1176s%@bindir@%$bindir%g
1177s%@sbindir@%$sbindir%g
1178s%@libexecdir@%$libexecdir%g
1179s%@datadir@%$datadir%g
1180s%@sysconfdir@%$sysconfdir%g
1181s%@sharedstatedir@%$sharedstatedir%g
1182s%@localstatedir@%$localstatedir%g
1183s%@libdir@%$libdir%g
1184s%@includedir@%$includedir%g
1185s%@oldincludedir@%$oldincludedir%g
1186s%@infodir@%$infodir%g
1187s%@mandir@%$mandir%g
1188s%@SET_MAKE@%$SET_MAKE%g
1189s%@CC@%$CC%g
1190s%@CPP@%$CPP%g
1191s%@CXX@%$CXX%g
1192s%@CXXCPP@%$CXXCPP%g
1193s%@RANLIB@%$RANLIB%g
1194s%@INSTALL@%$INSTALL%g
1195s%@INSTALL_PROGRAM@%$INSTALL_PROGRAM%g
1196s%@INSTALL_DATA@%$INSTALL_DATA%g
1197
1198CEOF
1199EOF
1200
1201cat >> $CONFIG_STATUS <<\EOF
1202
1203# Split the substitutions into bite-sized pieces for seds with
1204# small command number limits, like on Digital OSF/1 and HP-UX.
1205ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1206ac_file=1 # Number of current file.
1207ac_beg=1 # First line for current file.
1208ac_end=$ac_max_sed_cmds # Line after last line for current file.
1209ac_more_lines=:
1210ac_sed_cmds=""
1211while $ac_more_lines; do
1212 if test $ac_beg -gt 1; then
1213 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1214 else
1215 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1216 fi
1217 if test ! -s conftest.s$ac_file; then
1218 ac_more_lines=false
1219 rm -f conftest.s$ac_file
1220 else
1221 if test -z "$ac_sed_cmds"; then
1222 ac_sed_cmds="sed -f conftest.s$ac_file"
1223 else
1224 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1225 fi
1226 ac_file=`expr $ac_file + 1`
1227 ac_beg=$ac_end
1228 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1229 fi
1230done
1231if test -z "$ac_sed_cmds"; then
1232 ac_sed_cmds=cat
1233fi
1234EOF
1235
1236cat >> $CONFIG_STATUS <<EOF
1237
1238CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1239EOF
1240cat >> $CONFIG_STATUS <<\EOF
1241for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1242 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1243 case "$ac_file" in
1244 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1245 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1246 *) ac_file_in="${ac_file}.in" ;;
1247 esac
1248
1249 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1250
1251 # Remove last slash and all that follows it. Not all systems have dirname.
1252 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1253 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1254 # The file is in a subdirectory.
1255 test ! -d "$ac_dir" && mkdir "$ac_dir"
1256 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1257 # A "../" for each directory in $ac_dir_suffix.
1258 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1259 else
1260 ac_dir_suffix= ac_dots=
1261 fi
1262
1263 case "$ac_given_srcdir" in
1264 .) srcdir=.
1265 if test -z "$ac_dots"; then top_srcdir=.
1266 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1267 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1268 *) # Relative path.
1269 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1270 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1271 esac
1272
1273
1274 echo creating "$ac_file"
1275 rm -f "$ac_file"
1276 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1277 case "$ac_file" in
1278 *Makefile*) ac_comsub="1i\\
1279# $configure_input" ;;
1280 *) ac_comsub= ;;
1281 esac
1282
1283 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1284 sed -e "$ac_comsub
1285s%@configure_input@%$configure_input%g
1286s%@srcdir@%$srcdir%g
1287s%@top_srcdir@%$top_srcdir%g
1288" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1289fi; done
1290rm -f conftest.s*
1291
1292EOF
1293cat >> $CONFIG_STATUS <<EOF
1294
1295EOF
1296cat >> $CONFIG_STATUS <<\EOF
1297
1298exit 0
1299EOF
1300chmod +x $CONFIG_STATUS
1301rm -fr confdefs* $ac_clean_files
1302test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1303